Admins & Permissions
Add a new admin
POST
/
client
/
admin
/
{client_id}
Add a new admin
curl --request POST \
--url https://api.helpyousponsor.com/v1/client/admin/{client_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"email": "admin@gmail.com",
"custom_password": true,
"first_name": "John",
"last_name": "Doe",
"group": "1",
"client_id": "1"
}
'import requests
url = "https://api.helpyousponsor.com/v1/client/admin/{client_id}"
payload = {
"email": "admin@gmail.com",
"custom_password": True,
"first_name": "John",
"last_name": "Doe",
"group": "1",
"client_id": "1"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'admin@gmail.com',
custom_password: true,
first_name: 'John',
last_name: 'Doe',
group: '1',
client_id: '1'
})
};
fetch('https://api.helpyousponsor.com/v1/client/admin/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "Validation error",
"errors": {}
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
Body
application/json
Response
Admin account created successfully
⌘I
Add a new admin

